MacDrawProParserInternal::State Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
MacDrawProParserInternal::State Struct Reference

Internal: the state of a MacDrawProParser. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
int | m_version
| the file version More...
bool | m_isStationery
| flag to know if the file is a stationery document More...
int | m_numPages
| the final number of pages More...
int | m_actualLayer
| the actual layer More...
int | m_numLayers
| the number of layer More...
int | m_numHiddenLayers
| the number of hidden layer More...
int | m_numVisibleLayers
| the number of visible layer More...
bool | m_createMasterPage
| flag to know if we need or not to create a master More...
bool | m_sendAsLibraries
| flag to know if we create a page by library or not More...
int | m_numLibraries
| the number of library More...
int | m_numShapes
| the total number of shapes More...
long | m_sizeStyleZones [6]
| the size of the header zones More...
long | m_sizeLayerZones [2]
| the size of the layer zones More...
long | m_sizeLibraryZones [2]
| the size of the library zones(checkme) More...
long | m_sizeFZones [4]
| the size of the zoneF More...
std::vector< Library > | m_libraryList
| the library list More...
std::vector< Layer > | m_layerList
| the layer list More...
std::vector< MWAWEntry > | m_objectDataList
| the list of entries which stores the object's data More...
std::vector< MWAWEntry > | m_objectTextList
| the list of entries which stores the object's text More...
std::vector< Shape > | m_shapeList
| the shape list More...

## Detailed Description

Internal: the state of a MacDrawProParser.

## Constructor & Destructor Documentation

MacDrawProParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

int MacDrawProParserInternal::State::m_actualLayer

the actual layer

bool MacDrawProParserInternal::State::m_createMasterPage

flag to know if we need or not to create a master

bool MacDrawProParserInternal::State::m_isStationery

flag to know if the file is a stationery document

std::vector<Layer> MacDrawProParserInternal::State::m_layerList

the layer list

std::vector<Library> MacDrawProParserInternal::State::m_libraryList

the library list

int MacDrawProParserInternal::State::m_numHiddenLayers

the number of hidden layer

int MacDrawProParserInternal::State::m_numLayers

the number of layer

int MacDrawProParserInternal::State::m_numLibraries

the number of library

int MacDrawProParserInternal::State::m_numPages

the final number of pages

int MacDrawProParserInternal::State::m_numShapes

the total number of shapes

int MacDrawProParserInternal::State::m_numVisibleLayers

the number of visible layer

std::vector<MWAWEntry> MacDrawProParserInternal::State::m_objectDataList

the list of entries which stores the object's data

std::vector<MWAWEntry> MacDrawProParserInternal::State::m_objectTextList

the list of entries which stores the object's text

bool MacDrawProParserInternal::State::m_sendAsLibraries

flag to know if we create a page by library or not

std::vector<Shape> MacDrawProParserInternal::State::m_shapeList

the shape list

long MacDrawProParserInternal::State::m_sizeFZones[4]

the size of the zoneF

long MacDrawProParserInternal::State::m_sizeLayerZones[2]

the size of the layer zones

long MacDrawProParserInternal::State::m_sizeLibraryZones[2]

the size of the library zones(checkme)

long MacDrawProParserInternal::State::m_sizeStyleZones[6]

the size of the header zones

int MacDrawProParserInternal::State::m_version

the file version

The documentation for this struct was generated from the following file:

- MacDrawProParser.cxx